Cerrtify
BankID

Start a BankID payment order

Starts a payment-confirmation order. Forwarded verbatim to BankID's `/payment`. **Always synchronous** (`?async` is ignored). Show the animated QR with `GET /service/bankid/qr-code?orderRef=…`.

POST
/service/bankid/payment

Authorization

ApiKeyAuth
X-API-Key<token>

API key in the form cert_<prefix>_<secret>.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/service/bankid/payment" \  -H "Content-Type: application/json" \  -d '{}'
{}
{  "error": "string",  "detail": "string"}
{  "error": "string",  "detail": "string"}
{  "error": "insufficient_credits",  "message": "Organisationen har slut på krediter. Fyll på för att fortsätta."}
{  "error": "string",  "detail": "string"}
{  "error": "string",  "detail": "string"}
{  "error": "upstream_unavailable",  "service": "bankid",  "message": "There is currently a problem with BankID. Please try again shortly."}
{  "error": "string",  "detail": "string"}